#ifndef Menu_H
#define Menu_H

#include <Border.h>
#include <Button.h>
#include <Diagram.h>
#include <KSGNetwork.h>
#include <SelectionBox.h>
#include <Table.h>

using namespace Framework;

class Menu
{
private:
    Button* spielen;
    Button* optionen;
    Button* statistik;
    Button* beenden;
    Image* hintergrund;
    LBorder* ram;
    bool beendet;
    int status;
    int ref;

public:
    // Konstruktor
    Menu2(
        Font* zFont, Screen* zScreen, KSGClient::MinigameServerClient* klient);
    // Destruktor
    ~Menu();
    // nicht constant#
    void reset();
    void doMouseEvent(MouseEvent& me);
    void doKeyboardEvent(KeyboardEvent& te);
    bool tick(double z);
    void render(Image& zRObj);
    // constant
    bool istBeendet() const;
    // Reference Counting
    Menu* getThis();
    Menu* release();
};

#endif